﻿@Html.DevExpress().DropDownEdit(
    settings => {
        settings.Name = "ddlSupplier";
        settings.Width = System.Web.UI.WebControls.Unit.Percentage(100);
        settings.Properties.DropDownWindowStyle.BackColor = System.Drawing.Color.FromArgb(0xEDEDED);

        settings.SetDropDownWindowTemplateContent(c =>
        {
            @Html.RenderPartial("PartialSupplierGrid");
            ViewContext.Writer.Write("<table style=\"width:100%\"><tr><td align=\"right\">");
            @Html.DevExpress().Button(
                buttonSettings => {
                    buttonSettings.Name = "buttonClose";
                    buttonSettings.Text = "Close";
                    buttonSettings.Width = 80;
                    buttonSettings.Style.Add("float", "right");
                    buttonSettings.ClientSideEvents.Click = "function(s, e){ ddlSupplier.HideDropDown(); }";
                }
            )
            .Render();
            ViewContext.Writer.Write("</td></tr></table>");
        });
        settings.Properties.EnableAnimation = false;
        //settings.Properties.ClientSideEvents.TextChanged="SynchronizeListBoxValues";
        //settings.Properties.ClientSideEvents.DropDown = "SynchronizeListBoxValues";
    }
).GetHtml()